> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/admin/configuring-a-self-hosted-instance/setting-up-host-integration.md).

# Setting up host integration

Host integration allows Tonic Structural to reach outside of the the Structural software so that it can interact with the system that runs Structural.

You need to configure host integration so that you can:

* [Monitor Structural services](/app/admin/tonic-monitoring-logging/tonic-admin-service-list.md)
* For Kubernetes, use the one-click option to [update Structural](/app/admin/on-premise-deployment/updating-tonic.md).\
  \
  You must configure the host integration properties, and at least one user on your instance must have the **Update Tonic** global permission.

## Kubernetes

In your [values.yaml](https://github.com/TonicAI/tonic_helm_charts/blob/master/values.sample.yaml) file, under `tonicai.web_server.features`, set the following properties:

```
host_integration_enabled: "true"  
kubernetes_role: "default" 
```

## Docker

In your [environment file](https://github.com/TonicAI/tonic_docker_compose/blob/3240f271ea8b3e38b7e68f9d3d2b0506c8e86423/.template.env), uncomment and set the following properties:

```
TONIC_HOST_INTEGRATION=DockerCompose
TONIC_HOST_INTEGRATION_ACL=https://tonic_docker_acl
```

For information about setting these values, go to [the readme](https://github.com/TonicAI/tonic_docker_compose/blob/main/README.md#one-click-update-and-host-integration).&#x20;

In **docker-compose.yaml**, make sure that `services.tonic_web_server.environment` refers to the values set in the environment file.

```
TONIC_HOST_INTEGRATION: ${TONIC_HOST_INTEGRATION:-"None"}
TONIC_HOST_INTEGRATION_ACL: ${TONIC_HOST_INTEGRATION_ACL}
```

Also in **docker-compose.yaml**, uncomment the following section:

{% code overflow="wrap" %}

```
    # tonic_docker_acl:
    #     image: quay.io/tonicai/tonic_docker_acl:${VERSION_TAG:-latest}
    #     container_name: tonic_docker_acl
    #     mem_limit: 512m
    #     environment:
    #         ENVIRONMENT_NAME: ${ENVIRONMENT_NAME}
    #     volumes:
    #         - /var/run/docker.sock:/var/run/docker.sock
    #     networks:
    #       - tonic-ai
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/app/admin/configuring-a-self-hosted-instance/setting-up-host-integration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
